Package org.apache.sis.metadata

## Class InvalidMetadataException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - IllegalStateException
        - - InvalidMetadataException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidMetadataException
      extends IllegalStateException

  Thrown when a metadata is in a invalid state or has illegal property values.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidMetadataException​(String message)` | Creates a new exception with the specified detail message.
    `InvalidMetadataException​(String message, Throwable cause)` | Creates a new exception with the specified detail message and cause.
    `InvalidMetadataException​(Throwable cause)` | Creates a new exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidMetadataException

          public InvalidMetadataException​(String message)

      Creates a new exception with the specified detail message.
      Parameters:
        `message` - the details message, or `null` if none.

    - #### InvalidMetadataException

          public InvalidMetadataException​(Throwable cause)

      Creates a new exception with the specified cause. The details message is copied from the cause.
      Parameters:
        `cause` - the cause, or `null` if none.
      Since:
        0.8

    - #### InvalidMetadataException

          public InvalidMetadataException​(String message,
                                          Throwable cause)

      Creates a new exception with the specified detail message and cause.
      Parameters:
        `message` - the details message, or `null` if none.
        `cause` - the cause, or `null` if none.
      Since:
        0.8